Архитектору и проектировщику|Тепло- и звукоизоляция URSA.RU
| Правила | Регистрация | Пользователи | Поиск | Сообщения за день | Все разделы прочитаны |  Справка по форуму | Файлообменник |

Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Размер файлов .dwg

Размер файлов .dwg

Закрытая тема
Поиск в этой теме
Непрочитано 14.04.2005, 08:54 #1
Размер файлов .dwg
СВС
 
Регистрация: 14.04.2005
Сообщений: 25

Есть файл размером 1168 kB на котором размещено 15 листов формата А3. При копировании одного листа в отдельный файл, размер полученного файла составляет 846 kB. Почему? Как уменьшить размер файла?
Просмотров: 4153
 
Непрочитано 14.04.2005, 08:58
#2
Visla

Конструктор (металлоконструкции)
 
Регистрация: 04.03.2004
Москва
Сообщений: 46


Попробуй «пургеном» их обработать (purge).
Visla вне форума  
 
Автор темы   Непрочитано 14.04.2005, 09:06
#3
СВС


 
Регистрация: 14.04.2005
Сообщений: 25


Не помогает
СВС вне форума  
 
Непрочитано 14.04.2005, 10:40
#4
Grinzaid

Архитектор
 
Регистрация: 14.10.2003
Израиль
Сообщений: 365
<phrase 1=


А тот отдельный файл, в который копируется содержимое исходного файла, каким образом создан? Может он изначально создан по тяжёлому темрлейту, содержащему, например, громоздкие лейауты, замороженные слои, невидимые объекты (тексты без содержания вместе со своими слоями и стилями) и т.д.

Для чистки я рекомендую следующее:
Zoom => All

Erase => All

С нажамым шифтом разобозначить всё необходимое.

Перед стиранием обратить внимание на количество объектов, оставшихся обозначенными.

После всего этого PURGE до предела, а потом сообщить нам, уменьшился ли файл.

Удачи.
__________________
С уважением,
Влад Гринзайд.
Grinzaid вне форума  
 
Непрочитано 14.04.2005, 10:52
#5
Кулик Алексей aka kpblc
Moderator

LISP, C# (ACAD 200[9,12,13,14])
 
Регистрация: 25.08.2003
С.-Петербург
Сообщений: 36,741


или вообще попробовать _wblock
__________________

---
Обращение ко мне - на "ты".
Все, что сказано - личное мнение.
Кулик Алексей aka kpblc вне форума  
 
Непрочитано 14.04.2005, 11:15
#6
{Smirnoff}

Инженер по системам безопасности
 
Регистрация: 23.11.2003
Рига
Сообщений: 1,099


Причиной повышенного размера файла также могут быть:

1) расширенные данные и словари созданные различными приложениями.
Удаление этих объектов потенциально опасно если вы работаете в каком либо приложении или чертеж переданный вам смежником и в дальнейшем будет обрабатыватся в этом приложении. Удаляется только програмно. Если надо программу могу предоставить. Но я вас предупреждал!

2) фильтры слоёв в AutoCAD 2005. Употребляют "любители", причем при обмене блоками идет процесс накопления. Удаляется програмно. Программа:
Код:
[Выделить все]
(princ "\nType LFDEL to Run")

(defun C:LFDel  (/) 
 (vl-Load-Com)
(vl-Catch-All-Apply 
  '(lambda () 
    (vla-Remove (vla-GetExtensionDictionary 
                 (vla-Get-Layers 
                  (vla-Get-ActiveDocument 
                   (vlax-Get-Acad-Object)))) 
                "ACAD_LAYERFILTERS")))
 (princ "\nAll layer filters have now been deleted.")
 (princ)
) ; end c:ldel
3) Наличие невидимых объектов. Тоже лечится програмно, в смысле вы увидите скрытые объекты. Вот моя старая програмка, она к сожалению несовершенна, поэтому сначала разблокируйте все слои:
Код:
[Выделить все]
(defun UnVisible (/ UnvSet cCounter unCounter curEnt vlaEnt)
  (setvar "cmdecho" 0)
  (terpri)
  (Princ "*** Select objects to make unvisible and press [Enter] *** ")
  (terpri)
  (setq UnvSet (ssget))
  (setq cCounter 0)
  (setq unCounter 0)
  (while(/= cCounter (sslength UnvSet))
    (setq curEnt(ssname UnvSet cCounter)
	  vlaEnt(vlax-ename->vla-object curEnt)
	  ); End setq
    (if(vlax-property-available-p vlaEnt 'Visible T)
    (progn
    (vla-put-Visible vlaEnt :vlax-false)
    (setq unCounter(1+ unCounter)
	  cCounter(1+ cCounter)
	  ) ;end setq
    ); end progn
    );end if
    ); end while
    (princ (strcat "*** " (itoa unCounter) " Objects becomes Unvisible *** "))
	   (princ)
	   ); end UnVisible


(defun Visible (/ vSet cCounter unCounter curEnt vlaEnt)
  (setq vSet(ssget "_A"))
  (setq cCounter 0)
  (setq unCounter 0)
	(while(/= cCounter (sslength vSet))
	  (setq curEnt(ssname vSet cCounter)
	  vlaEnt(vlax-ename->vla-object curEnt)
	  ); End setq
    (if(vlax-property-available-p vlaEnt 'Visible T)
    (progn
      (if(=(vla-get-visible vlaEnt) :vlax-false)
	(progn
    (vla-put-Visible vlaEnt :vlax-true)
    (setq unCounter(1+ unCounter))
	  ); end progn
    ); end if
	  (setq cCounter(1+ cCounter))
    ); end progn
	  ); end if
    ); end while
  (terpri)
    (princ (strcat "*** " (itoa unCounter) " Objects becomes Visible *** "))
	(princ)
	 ); end Visible

(defun c:unvis (/ Flag)
  (vl-load-com)
  (initget 1 "V U")
  (setq Flag (getkword "Make objects Unvisible or Visible [U/V]: "))
  (if(= Flag "U")(UnVisible)(Visible))
  (princ)
  ); end c:unvis
Запускается UNVIS в командной строке.
{Smirnoff} вне форума  
Закрытая тема
Вернуться   Форум DWG.RU > Программное обеспечение > AutoCAD > Размер файлов .dwg

Размещение рекламы
Опции темы Поиск в этой теме
Поиск в этой теме:

Расширенный поиск